<?php

use Phinx\Migration\AbstractMigration;

class InsertTemoignage extends AbstractMigration
{
    public function up()
    {
        $temoignage_etoile = array(
            array('temoignage_etoile_id' => '1','temoignage_etoile_valeur' => '1','temoignage_etoile_image' => '','temoignage_etoile_rang' => '10'),
            array('temoignage_etoile_id' => '2','temoignage_etoile_valeur' => '2','temoignage_etoile_image' => '','temoignage_etoile_rang' => '20'),
            array('temoignage_etoile_id' => '3','temoignage_etoile_valeur' => '3','temoignage_etoile_image' => '','temoignage_etoile_rang' => '30'),
            array('temoignage_etoile_id' => '4','temoignage_etoile_valeur' => '4','temoignage_etoile_image' => '','temoignage_etoile_rang' => '40'),
            array('temoignage_etoile_id' => '5','temoignage_etoile_valeur' => '5','temoignage_etoile_image' => '','temoignage_etoile_rang' => '50')
        );

        $this
            ->table('temoignage_etoile')
            ->insert($temoignage_etoile)
            ->save();

        $temoignage_etoile_nom = array(
            array('temoignage_etoile_nom_id' => '1','temoignage_etoile_id' => '1','langue_id' => '1','temoignage_etoile_nom_nom' => 'Nul'),
            array('temoignage_etoile_nom_id' => '2','temoignage_etoile_id' => '2','langue_id' => '1','temoignage_etoile_nom_nom' => 'Moyen'),
            array('temoignage_etoile_nom_id' => '3','temoignage_etoile_id' => '3','langue_id' => '1','temoignage_etoile_nom_nom' => 'Neutre'),
            array('temoignage_etoile_nom_id' => '4','temoignage_etoile_id' => '4','langue_id' => '1','temoignage_etoile_nom_nom' => 'Bon'),
            array('temoignage_etoile_nom_id' => '5','temoignage_etoile_id' => '5','langue_id' => '1','temoignage_etoile_nom_nom' => 'Parfait')
        );

        $this
            ->table('temoignage_etoile_nom')
            ->insert($temoignage_etoile_nom)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('temoignage_etoile')
            ->truncate();
        $this
            ->table('temoignage_etoile_nom')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
