<?php

namespace Annotation;

use Symfony\Component\Routing\Loader\AnnotationClassLoader as AnnotationClassLoaderSF;
use Symfony\Component\Routing\Route;

/**
 * Class AnnotationClassLoader
 * @package Annotation
 */
class AnnotationClassLoader extends  AnnotationClassLoaderSF{

    /**
     * @param Route $route
     * @param \ReflectionClass $class
     * @param \ReflectionMethod $method
     * @param Route $annot
     */
    protected function configureRoute(Route $route, \ReflectionClass $class, \ReflectionMethod $method, $annot): void
    {
        $route->setDefault('_controller', $class->getName());
        $route->setDefault('_action', $method->getName());

    }
}
