<a  href="{url page="panier"}" class="header-panier">
    <img src="{$themeFolder}/images/icon_cart.png">
    <span class="your-cart">{txt value="Panier"}</span>
    <span class="product-count has-chevron">(<span>{$countProducts|default:"0"}</span>)</span>
</a>

<div class="header-cart-deploy header-popover cart-popover">
	<div class="arrow-up"></div>
    <div id="cart-dropdown" class="cart-list">
        <!-- Only for dev -->
        {foreach $caddieHeader as $p}
            <div class="cart-item">
                <div class="image">
                    {image src=$p.produit_image alt=$p.produit_nom_nom width=42 height=74}
                </div>
                <div class="item-title">
                    <div class="item-name">
                        {$p.produit_nom_nom}
                    </div>
                    <div class="item-info">
                        {$p.produit_nom_nom}
                    </div>
                </div>
                <div class="item-count">
                    <input name="quantity" data-update data-identifier="{$p.identifier}" type="number" min="0" max="{$p.prod_qte}" value="{$p.quantite_order}" class="touchspin" />
                </div>
                <div class="item-prices">
                    <div class="current-price price">
                        {{price ht=$p.attribut_produit_prix_ht*$p.quantite_order ttc=$p.attribut_produit_prix_ttc*$p.quantite_order}|strip_tags}
                    </div>
                    {if $p.promo|intval > 0}
                        <div class="old-price">
                            {{price ttc=$p.attribut_prix_ttc*$p.quantite_order}|strip_tags}
                        </div>
                    {/if}
                </div>
                <div class="item-remove">
                    <a href="#" class="remove delete" data-delete data-identifier="{$p.identifier}">
                        <span class="btn-x"></span>
                    </a>
                </div>
            </div>
        {foreachelse}
            <div class="cart-item">
                {txt value="Votre panier est vide"}
            </div>
        {/foreach}

        <div class="clear"></div>
    </div>

    <div class="delivery">
        <div class="title-and-price">
            <div class="title">
               {txt value='Livraison'} :
            </div>
            <div class="price">
                {price ttc=$port.port_ttc ht=$port.port_ht}
            </div>
        </div>

        <div class="info">
            {if !empty($port) && $port.livraison_gratuit_reste > 0}
                {txt value="Il ne vous manque plus que %LIVRAISON_GRATUIT_RESTE% € pour bénéficier de la livraison gratuite" tags=$port}
            {/if}
        </div>
    </div>

    <div class="summary">
        <a class="btn btn-white" href="{url page="panier"}">{txt value="Finaliser ma commande"}</a>

        <div class="total-price">{price ht=$aPayer[0] ttc=$aPayer[1]}</div>
    </div>

</div>