<?php

use Phinx\Migration\AbstractMigration;

class InsertTaxe extends AbstractMigration
{
    public function up()
    {
        $taxe = array(
            array('taxe_id' => '5','taxe_nom' => '5.5%','taxe_taux' => '0.0550','taxe_rang' => '2','taxe_date_modif' => '2013-04-10 15:08:58','taxe_date_ajout' => '2005-11-16 10:53:24','taxe_default' => '0'),
            array('taxe_id' => '6','taxe_nom' => '0%','taxe_taux' => '0.0000','taxe_rang' => '3','taxe_date_modif' => '0000-00-00 00:00:00','taxe_date_ajout' => '0000-00-00 00:00:00','taxe_default' => '0'),
            array('taxe_id' => '7','taxe_nom' => '20%','taxe_taux' => '0.2000','taxe_rang' => '10','taxe_date_modif' => '0000-00-00 00:00:00','taxe_date_ajout' => '0000-00-00 00:00:00','taxe_default' => '1')
        );

        $this
            ->table('taxe')
            ->insert($taxe)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('taxe')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
