<!--elements/jumbotron-->

{* //JUMBOTRON *}
<div class="jumbotron {if !empty($class_color)}jumbotron-{$class_color}{/if}">
    <div class="jumbotron-figure" style="background-image: url('{image src=$contenu.page_nom_image tag=false}');"></div>
    <div class="container">
        <div class="row">
            <div class="col-xl-10 offset-xl-1">
                <div class="jumbotron-header">
                    <p class="display-1 text-dark">
                        {$contenu.page_nom_nom_top}
                    </p>
                    <h1 class="h1">
                        {$contenu.page_nom_nom}
                        {if !empty($contenu.page_nom_nom_bottom)}
                            <br /><span class="font-weight-normal text-dark">{$contenu.page_nom_nom_bottom}</span>
                        {/if}
                    </h1>
                </div>
                <hr class="hr-sm hr-dark" />
                <div class="jumbotron-body">
                    <p>
                        {$contenu.page_nom_contenu_court}
                    </p>
                </div>
                <div class="jumbotron-footer">
                    {if !empty($contenu.page_nom_lien_libelle)}
                        {include file="elements/button.tpl" tag="a" href=$contenu.page_nom_lien type="" context="dark" context_hover="{if !empty($class_color)}{$class_color}{/if}" icon_text="" text=$contenu.page_nom_lien_libelle}
                    {/if}
                </div>
            </div>
        </div>
    </div>
</div>
{* JUMBOTRON// *}