{render controller="Controller\MenuController" action="display" mobile=true}

<header>
    <div class="gray-bar">
        <div class="container">
            <span class="left-text">
                {txt value='Texte header'}
            </span>
            <span class="right-text">
                <span class="tel"><strong>{txt value='01 39 86 48 48'}</strong></span> |
                <a href="{url page='contact'}">
                    {txt value='Horaires d’ouverture du Lundi au Vendredi de 10h à 18h'}
                </a>
            </span>
        </div>
    </div>

    <div>
        <div class="actions-bar">
            <div class="logo">
                <div class="menu-toggle">
                    <a class="menu-button" id="mobile-menu-toggle" href="#menu-mobile">
                        <i class="fa fa-bars"></i>
                    </a>
                </div>
                <a href="{url page='home'}">
                    <img src="{$themeFolder}/images/logo.png" title="{txt value="L'habilleur de la sécurité"}" alt="{txt value="L'habilleur de la sécurité"}">
                </a>
            </div>
            <div class="tools">
                <div class="search-bar">
                    <h1 class="site-slogan wide-screen">
                        {txt value="L'habilleur de la sécurité"|stripslashes}
                    </h1>
                    <span id="search-icon">
                        <img src="{$themeFolder}/images/icon_search_black.png" alt=""/>
                    </span>
                    <form name="search" id="search" action="{url page="recherche"}" method="get">
                        <div class="form-group">
                            <input type="text" class="form-control no-shadow" name="motclef" value="" placeholder="Produit, marque ...">
                        </div>
                    </form>
                </div>
                <div class="account">
                    {render controller="Controller\AccountController" action="rollover"}
                </div>
                <div class="cart">
                    {render controller="Controller\CartController" action="rollover"}
                </div>
            </div>
        </div>
    </div>

    {render controller="Controller\MenuController" action="display" mobile=false}
</header>

